Summary: curses terminal control library
Name: ncurses
Version: 1.9.9e
Release: 8
Source: sunsite.unc.edu:/pub/Linux/libs/ncurses-1.9.9e.tar.gz
Patch0: ncurses-1.9.9e-nohome.patch
Patch1: ncurses-1.9.9e-shared.patch
Patch2: ncurses-1.9.9e-winsize.patch
Copyright: distributable
Group: Libraries

%description
The curses library routines give the user a terminal-independent method of
updating character screens with reasonable optimization.  This
implementation is ``new curses'' (ncurses) and is the approved replacement
for 4.4BSD classic curses, which is being discontinued. 

%changelog

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>

- version 7 didn't rebuild properly on the Alpha somehow -- no real changes
  are in this version

* Tue Dec 09 1997 Erik Troan <ewt@redhat.com>

- TIOCGWINSZ wasn't used properly

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>

- built against glibc, linked shared libs against -lc

%package devel
Summary: development libraries for ncurses
Group: Development/Libraries
%description devel
This package includes the header files and libraries necessary to develop
applications that use ncurses.

%prep
%setup
%patch -p1
%patch1 -p1

# we need to always include <sys/ioctl.h> on glibc, or TIOCGWINSZ doesn't
# get defined
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -DPURE_TERMINFO" ./configure --prefix=/usr --with-normal --with-shared 

make

%install
rm -rf /usr/lib/terminfo
rm -rf /usr/include/ncurses
mkdir -p /usr/include/ncurses
make includedir=/usr/include/ncurses install
ln -sf ../l/linux /usr/lib/terminfo/c/console
ln -sf ncurses/curses.h /usr/include/ncurses.h
ln -sf libncurses.so /usr/lib/libcurses.so
for I in curses unctrl eti form menu panel term; do
	ln -sf ncurses/$I.h /usr/include/$I.h
done

# remove the linux terminfo entries 
# (broken on sparc, see termfiles_sparc pkg)
%ifarch sparc
rm -f /usr/lib/terminfo/l/linux
rm -f /usr/lib/terminfo/l/linux-m
%endif

strip /usr/bin/tic /usr/bin/infocmp
strip /usr/bin/clear /usr/bin/tput
strip /usr/bin/captoinfo /usr/bin/tset /usr/bin/toe /usr/bin/reset

/sbin/ldconfig

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc README ANNOUNCE

/usr/lib/libform.so.1.9.9e
/usr/lib/libform.so.3.0
/usr/lib/libmenu.so.1.9.9e
/usr/lib/libmenu.so.3.0
/usr/lib/libncurses.so.1.9.9e
/usr/lib/libncurses.so.3.0
/usr/lib/libpanel.so.3.0
/usr/lib/libpanel.so.1.9.9e

/usr/lib/terminfo

/usr/bin/tic
/usr/bin/infocmp
/usr/bin/clear
/usr/bin/tput
/usr/bin/captoinfo
/usr/bin/tset
/usr/bin/toe
/usr/bin/reset

/usr/man/man1/captoinfo.1m
/usr/man/man1/infocmp.1m
/usr/man/man1/tic.1m
/usr/man/man5/term.5
/usr/man/man5/terminfo.5
/usr/man/man1/clear.1
/usr/man/man1/toe.1m
/usr/man/man1/tset.1
/usr/man/man1/tput.1
/usr/man/man7/term.7

%files devel
%doc c++ test
/usr/lib/libform.so
/usr/lib/libncurses.so
/usr/lib/libcurses.so
/usr/lib/libpanel.so
/usr/lib/libmenu.so

/usr/lib/libform.a
/usr/lib/libmenu.a
/usr/lib/libncurses.a
/usr/lib/libcurses.a
/usr/lib/libpanel.a

/usr/include/ncurses/*.h

/usr/include/ncurses.h
/usr/include/term.h
/usr/include/curses.h
/usr/include/unctrl.h
/usr/include/form.h
/usr/include/panel.h
/usr/include/menu.h
/usr/include/eti.h
/usr/man/man3/curs_*.3x
/usr/man/man3/menu.3x
/usr/man/man3/menu_*.3x
/usr/man/man3/mitem_*.3x
/usr/man/man3/ncurses.3x
/usr/man/man3/panel.3x
